パッケージ
Docsパッケージ

パッケージ

RaxyProxy REST API を使用してアクティブなプロキシパッケージを一覧表示および確認します。

GET /packages

すべてのアクティブおよび停止中のプロキシパッケージを返します。

GET/api/v1/packages
packages-list.json
{
  "data": [
    {
      "id":           12,
      "name":         "Residential 10 GB",
      "type":         "residential",
      "status":       "active",
      "pool_type":    "residential",
      "quota_gb":     10.0,
      "used_gb":      3.2140,
      "available_gb": 6.7860,
      "usage_pct":    32.14,
      "blocked":      false,
      "synced_at":    "2026-05-29T11:00:00+00:00",
      "created_at":   "2026-04-01T11:59:00+00:00",
      "activated_at": "2026-04-01T12:00:00+00:00",
      "proxy": {
        "host":              "proxy.raxyproxy.com",
        "http_port":         823,
        "socks5_port":       824,
        "login":             "abc123def456",
        "threads":           100,
        "sticky_port_start": 10000,
        "sticky_port_end":   20000,
        "sticky_range":      { "start": 10000, "end": 20000 }
      }
    }
  ],
  "meta": { "version": "v1" }
}

GET /packages/:id

単一のパッケージを返します。プロビジョニング済みの場合、レスポンスには追加の settings block with IP allowlists, supported protocols, and default geo params.

GET/api/v1/packages/{id}
package-show.json
{
  "data": {
    "id":           12,
    "name":         "Residential 10 GB",
    "type":         "residential",
    "status":       "active",
    "pool_type":    "residential",
    "quota_gb":     10.0,
    "used_gb":      3.2140,
    "available_gb": 6.7860,
    "usage_pct":    32.14,
    "blocked":      false,
    "synced_at":    "2026-05-29T11:00:00+00:00",
    "created_at":   "2026-04-01T11:59:00+00:00",
    "activated_at": "2026-04-01T12:00:00+00:00",
    "proxy": {
      "host":              "proxy.raxyproxy.com",
      "http_port":         823,
      "socks5_port":       824,
      "login":             "abc123def456",
      "password":          "6f487b213b4cb4ae",
      "threads":           100,
      "sticky_port_start": 10000,
      "sticky_port_end":   20000,
      "sticky_range":      { "start": 10000, "end": 20000 }
    },
    "settings": {
      "allowed_ips":         [],
      "supported_protocols": ["http", "socks5"],
      "blocked_hosts":       [],
      "default_geo": {
        "countries":         [],
        "states":            [],
        "cities":            [],
        "zipcodes":          [],
        "asns":              [],
        "exclude_countries": [],
        "exclude_asn":       [],
        "anonymous_filter":  false,
        "rotation_interval": null
      }
    }
  },
  "meta": { "version": "v1" }
}

レスポンスフィールド

フィールドタイプ説明
idintegerパッケージ ID — 他の API コールで使用
namestring人間が読める製品名
typestringresidential | residential_premium | mobile | datacenter
statusstringactive | suspended
pool_typestring内部プール識別子(residential、residential_premium、mobile、datacenter)
quota_gbfloat購入済み総トラフィック(GB)
used_gbfloatこれまでに消費したトラフィック
available_gbfloat残りトラフィック
usage_pctfloat使用率(0–100)
blockedbooleanパッケージが管理上ブロックされている場合 true
synced_atISO 8601 | nullプロバイダーからの使用量の最終同期(≤30 分の遅延)
created_atISO 8601パッケージレコードの作成日時
activated_atISO 8601 stringパッケージが最初に有効化された時刻
proxy.hoststringプロキシホスト名
proxy.http_portintegerHTTP/HTTPS プロキシポート(823)
proxy.socks5_portintegerSOCKS5 ポート(824)
proxy.loginstringプロキシユーザー名(ベース、Geo 修飾子なし)
proxy.passwordstring (show only)プレーンテキストのプロキシパスワード — GET /packages/{id}(詳細エンドポイント)からのみ返されます。秘密に保管してください。
proxy.threadsinteger最大同時接続数
proxy.sticky_port_startinteger最初のスティッキーセッションポート
proxy.sticky_port_endinteger最後のスティッキーセッションポート
proxy.sticky_rangeobjectスティッキーセッションのポート範囲、オブジェクト形式を好む SDK 向けにミラー
settings.allowed_ipsarrayIP 許可リスト(空 = すべての IP 許可)
settings.supported_protocolsarrayこのパッケージで有効なプロトコル
settings.blocked_hostsarrayパッケージが接続を禁止されているドメイン(完全リスト)
settings.default_geoobjectデフォルト Geo フィルター(countries/states/cities/zipcodes/asns + exclude_* + anonymous_filter + rotation_interval を含むオブジェクト)。

コード例

packages.sh
# List all packages
curl https://raxyproxy.com/api/v1/packages \
     -H "Authorization: Bearer raxy_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"

# Get a single package
curl https://raxyproxy.com/api/v1/packages/12 \
     -H "Authorization: Bearer raxy_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"
packages.py
import requests

API_KEY = 'raxy_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx'
HEADERS = {'Authorization': f'Bearer {API_KEY}'}

# List packages
pkgs = requests.get('https://raxyproxy.com/api/v1/packages', headers=HEADERS).json()

for p in pkgs['data']:
    pct = p['usage_pct']
    print(f"[{p['id']}] {p['name']}  {p['used_gb']}/{p['quota_gb']} GB ({pct}%)")
packages.mjs
const API_KEY = 'raxy_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx';
const headers = { Authorization: `Bearer ${API_KEY}` };

const res  = await fetch('https://raxyproxy.com/api/v1/packages', { headers });
const json = await res.json();

for (const p of json.data) {
    const { id, name, used_gb, quota_gb, usage_pct } = p;
    console.log(`[${id}] ${name}  ${used_gb}/${quota_gb} GB (${usage_pct}%)`);
}